Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007572 [DCSS] Patches minor N/A 2013-09-23 21:00 2016-01-05 21:02
Reporter pubby View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status resolved   Product Branch 0.13 ancient branch
Summary 0007572: Make wretched star mutations less frequent, but individually more severe
Description This patch changes the behavior of wretched stars to prefer increasing the level of an existing mutation rather than adding a new one. The intent is to give the player a few game-changing mutations instead of a page full of little annoyances.
Additional Information
Tags No tags attached.
Attached Files ? file icon wretched_star.patch [^] (5,141 bytes) 2013-09-23 21:00 [Show Content]

- Relationships

-  Notes
(0029913)
chequers (reporter)
2015-12-04 05:34

This patch doesn't apply well any more. I'm trying to create a newer version in this PR:

https://github.com/crawl/crawl/pull/195 [^]

this commit in particular is (broken) attempt #1:
https://github.com/alexjurkiewicz/crawl-ref/commit/9a22015a28a43f727023caec4172b6eda9dbd7b7 [^]
(0030111)
MarvinPA (developer)
2016-01-05 21:02

Pushed a different implementation of this idea.

- Issue History
Date Modified Username Field Change
2013-09-23 21:00 pubby New Issue
2013-09-23 21:00 pubby File Added: wretched_star.patch
2015-12-04 05:34 chequers Note Added: 0029913
2016-01-05 21:02 MarvinPA Note Added: 0030111
2016-01-05 21:02 MarvinPA Status new => resolved
2016-01-05 21:02 MarvinPA Fixed in Branch => 0.18 development branch
2016-01-05 21:02 MarvinPA Resolution open => done
2016-01-05 21:02 MarvinPA Assigned To => MarvinPA


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker